#!/bin/sh
set -ex
if [ -z "$CXX" ];then
  export CXX=g++
fi

# No need to generate reference each time
C:/MinGW/bin/gcc -O0 -ggdb3 -Wa,-adhlns="test-i386.lst" -fdata-sections -ffunction-sections  -m32 -lm -static test-i386.c -o testi386
#C:/MinGW/bin/gcc -Wa,-adhln -x c -g -Og -lineinfo -S -masm=intel test-i386.c -o test-i386.asm
#C:/Temp/upx.exe -9 testi386.exe

./PESTUB.EXE -n testi386.exe

./testi386 | tee real_cpu.txt

# run the below under dosbox
#testi386.exe > emul_cpu.txt

# example of tests:
#diff -u --label real real_cpu.txt --label emulated emul_cpu.txt > test-i386.diff || true 

#diff -u test-i386_benchmark.diff test-i386.diff